org.springframework.cloud.dataflow.server.controller

## Class RuntimeAppInstanceController

- java.lang.Object
- - org.springframework.cloud.dataflow.server.controller.RuntimeAppInstanceController

-     @RestController
       @RequestMapping(value="/runtime/apps/{appId}/instances")
       @ExposesResourceFor(value=AppInstanceStatusResource.class)
      public class RuntimeAppInstanceController
      extends Object

  Author:
    Mark Pollack

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeAppInstanceController(StreamDeployer streamDeployer)` Construct a new RuntimeAppInstanceController

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppInstanceStatusResource` | `display(String appId, String instanceId)`
    `org.springframework.hateoas.PagedModel<AppInstanceStatusResource>` | `list(org.springframework.data.domain.Pageable pageable, String appId, org.springframework.data.web.PagedResourcesAssembler<org.springframework.cloud.deployer.spi.app.AppInstanceStatus> assembler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeAppInstanceController

          public RuntimeAppInstanceController(StreamDeployer streamDeployer)

      Construct a new RuntimeAppInstanceController
      Parameters:
        `streamDeployer` - the stream deployer to use

  - ### Method Detail

    - #### list

          @RequestMapping
          public org.springframework.hateoas.PagedModel<AppInstanceStatusResource> list(org.springframework.data.domain.Pageable pageable,
                                                                                                        @PathVariable
                                                                                                        String appId,
                                                                                                        org.springframework.data.web.PagedResourcesAssembler<org.springframework.cloud.deployer.spi.app.AppInstanceStatus> assembler)

    - #### display

          @RequestMapping(value="/{instanceId}")
          public AppInstanceStatusResource display(@PathVariable
                                                                                          String appId,
                                                                                          @PathVariable
                                                                                          String instanceId)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.